#content { position: relative }

section#produit { padding: 0 0 3em; }

#checkout-list {
  margin: 0 auto;
  transition: .25s;
  background-color: var(--clr-ternary-2);
  border: 1px solid var(--clr-secondary-2);
  display: grid;
  border-radius: 5px;
  width: 100%;
}

#checkout-list .item {
  display: grid;
  grid-template-columns: 1fr 10fr;
  padding: 4px 10px 4px 4px;
  gap: 10px;
  border-bottom: 1px dotted var(--clr-secondary-2);
}
#checkout-list .item:last-of-type { border-bottom: none; }

#checkout-list .it, #checkout-list .d, #checkout-list .qte { display: flex; justify-content: space-between;gap: 8px; align-items: center}
#checkout-list .it {flex-grow: 1}
#checkout-list .d .qte { gap: 2px}

#checkout-list img {height: auto; width: 128px}

#checkout-list .title {
    font-family: 'QuickSand', 'Raleway', sans-serif;
    letter-spacing: 0.1px;
    font-size: 0.9em;
    line-height: 1.4em;
    font-weight: 700;
    text-transform: capitalize;
    color: var(--clr-primary-2);
    display: flex; justify-content: center; align-items: center;
		flex-grow: 1;
}

#checkout-list .prix { font-size: 0.9em }
#checkout-list .qte .quantite { width: 26px }
#checkout-list .qte .m, #checkout-list .qte .p {width: 26px; height: 26px }

#content { display: grid; grid-template-columns: 1fr}

.recap, .comde { width: min(650px, 95%); margin: auto; height: 100%; padding: 3em 0 2em}
.recap h2, .comde h2 { padding: 0 0 2em; }

.comde form {
  display: grid;
  padding: 4px;
  border: 1px solid var(--clr-secondary-2);
  border-radius: 5px;
}


@media (max-width: 500px) {
  #checkout-list img {height: 72px; width: 72px}
  @media (max-width: 400px) {
    #checkout-list .it { flex-direction: column;gap: 4px}
    @media (max-width: 299px) {
      #checkout-list .title {font-size: 0.8em}
      #checkout-list .d { flex-wrap: wrap;gap: 12px}
      #checkout-list .item img {height: 48px; width: 48px}
      #checkout-list .qte .m, #checkout-list .qte .p {width: 22px;height: 22px}
      #checkout-list .qte .quantite {width: 22px}
    }
  }
}

@media (min-width: 600px) {
  #checkout-list .item {grid-template-columns: 1fr 3.75fr}
  @media (min-width: 900px) {
    #content { grid-template-columns: 1fr 1.1fr}
    #checkout-list img {height: 72px; width: 72px}
  }
}

.form-errors, .foot {
  padding: 1.5em 3% 1.5em 3%;
  background-color: var(--clr-error-error);
  color: var(--clr-primary-2);
  margin-bottom: 1em;
  border-radius: 5px;
  border: 1px solid var(--clr-secondary-2);
}

.form-errors.success {
  background-color: var(--clr-error-success);
}

.form-errors p {
  margin: 0;
  padding: 0;
  font-weight: 700;
  text-align: center;
}

.foot {
  font-family: sans-serif;
  font-size: 1.1em;
  display: flex;
  justify-content: space-between;
  gap: 12px;
  background-color: var(--clr-quaternary-2);
  margin-bottom: 1em;
  border: none;
  color: var(--clr-ternary-2);
}

.foot * {
  padding: 12px 0;
  text-align: center;
  flex-basis: 40%;
  flex-grow: 1;
  border: none;
}

.foot .qte {
  flex-basis: 60%;
  background-color: var(--page-bk-color);
}

/* FORMULAIRE COMMANDE */
form {
  	display: flex;
  	flex-wrap: wrap;
  	justify-content: center;
}

form .line {
  	display: flex;
  	flex-wrap: wrap;
  	justify-content: center;
		flex-basis: 100%;
		margin: 1em 0 1.5em 0;
    margin: 0.3em 0 0.5em 0;
}

form .line:first-of-type {
  margin-top: 2em;
}

form .line:last-of-type {
  margin-bottom: 2em;
}

form label {
  min-width: 100px;
  height: 50px;
  line-height: 50px;
  background-color: var(--clr-secondary-2);
  color: var(--clr-ternary-2);
  /* padding: 12px; */
  flex-basis: 25%;
  flex-grow: 1;
  margin-bottom: 0.5em;
}

form textarea,
form input[type="email"],
form input[type="text"] {
	flex-basis: 50%;
	height: 50px;
	border: 1px solid var(--clr-secondary-2);
	padding: 0.3em 1em;
	flex-grow: 1;
	font-size: 1em;
}

form textarea {
  font-family: unset;
  height: 150px;
  font-size: 0.96em;
  font-weight: 600;
}

form textarea:focus-visible,
form input[type="email"]:focus-visible,
form input[type="text"]:focus-visible {
	border: 2px solid var(--clr-primary-2);
  outline: none;
	background-color: var(--clr-primary-1);
}

form input[type="submit"] {
  	width: 100%;
  	padding: 15px;
 		margin-top: 1em;
    background-color: var(--clr-quaternary-2);
    color: var(--clr-ternary-2);
  	border: 0;
  	cursor: pointer;
  	font-weight: bold;
		font-size: 1.25em;
  	transition: background-color 0.2s;
}

form input[type="submit"]:hover {
	background-color: var(--clr-secondary-2);
}

form input[type="submit"]:focus {
  background-color: var(--clr-secondary-2);
}

form input[type="submit"].disabled {
  color: var(--clr-secondary-2);
  background-color: var(--clr-ternary-2);
  pointer-events: none;
}

@media screen and (max-width: 399px) {
	form label {
		margin-bottom: 0;
    height: 40px;
    line-height: 40px;
	}

  form textarea,
	form input[type="email"],
	form input[type="text"] {
		flex-basis: 75%;
	}

  .foot {font-size: 1em;}
  .foot * {padding: 4px 0}

}
